Package org.apache.felix.bundleplugin

# Class BundleInfo

java.lang.Object
org.apache.felix.bundleplugin.BundleInfo

public class BundleInfo extends Object
Information result of the bundling process

Version:
  $Id$
Author:
  Carlos Sanchez

## Constructor Summary

Constructors
Constructor
Description
`BundleInfo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addExportedPackage(String packageName, org.apache.maven.artifact.Artifact artifact)`
`Map<String,Set<org.apache.maven.artifact.Artifact>>`
`getDuplicatedExports()`
Get a list of packages that are exported in more than one bundle.
`protected Map<String,Set<org.apache.maven.artifact.Artifact>>`
`getExportedPackages()`
`void`
`merge(BundleInfo bundleInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BundleInfo

public BundleInfo()

## Method Details

### addExportedPackage

public void addExportedPackage(String packageName, org.apache.maven.artifact.Artifact artifact)

### getExportedPackages

protected Map<String,Set<org.apache.maven.artifact.Artifact>> getExportedPackages()

### getDuplicatedExports

public Map<String,Set<org.apache.maven.artifact.Artifact>> getDuplicatedExports()
Get a list of packages that are exported in more than one bundle. Key is package name and value list of artifacts where it's exported.

Returns:
  `Map` < `String`, `Set` < `Artifact` > >

### merge

public void merge(BundleInfo bundleInfo)